## rails-3.2 3.2.19

=== debian/changelog ===
rails-3.2 (3.2.19-1) unstable; urgency=medium

  * New upstream release. Contains fix for vulnerabilities in PostgreSQL
    database adapter.  [CVE-2014-3482] [CVE-2014-3483]

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 17 Jul 2014 14:38:24 -0300
