=== debian/control ===
Source: rails-3.2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
 Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper (>= 9),
 gem2deb (>= 0.4.0~),
 racc
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails-3.2.git
Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails-3.2.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all
XS-Testsuite: autopkgtest

Package: ruby-activesupport-3.2
Architecture: all
X-DhRuby-Root: activesupport/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-i18n (>= 0.6~),
 ruby-multi-json (>= 1.0~),
 ruby-test-unit,
Breaks: ruby-activesupport-2.3
Replaces: ruby-activesupport-2.3
Description: Support and utility classes used by the Rails 3.2 framework
 ActiveSupport consists of utility classes and extensions to the Ruby
 standard library that were required for Rails but found to be
 generally useful.

Package: ruby-activerecord-3.2
Architecture: all
X-DhRuby-Root: activerecord/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-activemodel-3.2 (= ${source:Version}),
 ruby-arel (>= 3.0.2~),
 ruby-tzinfo (>= 0.3.29~)
Breaks: ruby-activerecord-2.3
Replaces: ruby-activerecord-2.3
Description: object-relational mapper framework (part of Rails)
 Active Records is a framework to work with databases on Rails.  Build
 a persistent domain model by mapping database tables to Ruby classes.
 Strong conventions for associations, validations, aggregations,
 migrations, and testing come baked-in.

Package: ruby-activeresource-3.2
Architecture: all
X-DhRuby-Root: activeresource/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-activemodel-3.2 (= ${source:Version})
Breaks: ruby-activeresource-2.3
Replaces: ruby-activeresource-2.3
Description: REST modeling framework (part of Rails)
 Active Resource (ARes) connects business objects and Representational
 State Transfer (REST) web services.  It implements object-relational
 mapping for REST webservices to provide transparent proxying
 capabilities between a client (ActiveResource) and a RESTful service.

Package: ruby-activemodel-3.2
Architecture: all
X-DhRuby-Root: activemodel/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-builder (>= 3.0.0),
 ruby-bcrypt (>= 3.0.0),
 ruby-activesupport-3.2 (= ${source:Version})
Description: toolkit for building modeling frameworks (part of Rails)
 Active Model is a toolkit for building modeling frameworks like
 Active Record and Active Resource.  This includes a rich support for
 attributes, callbacks, validations, observers, serialization,
 internationalization, and testing.

Package: ruby-actionpack-3.2
Architecture: all
X-DhRuby-Root: actionpack/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-activemodel-3.2 (= ${source:Version}),
 ruby-activerecord-3.2 (= ${source:Version}),
 ruby-rack-cache (>= 1.2~),
 ruby-rack1.4,
 ruby-rack-test (>= 0.6.1~),
 ruby-journey (>= 1.0.4~),
 ruby-sprockets (>= 2.2~),
 ruby-builder (>= 3.0.0),
 ruby-erubis (>= 2.7.0~),
 ruby-tzinfo (>= 0.3.29~)
Breaks: ruby-actionpack-2.3
Replaces: ruby-actionpack-2.3
Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
 Action Pack is a framework for web apps on Rails. Simple,
 battle-tested conventions for building and testing MVC web
 applications. Works with any Rack-compatible server.

Package: ruby-actionmailer-3.2
Architecture: all
X-DhRuby-Root: actionmailer/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-actionpack-3.2 (= ${source:Version}),
 ruby-activemodel-3.2 (= ${source:Version}),
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-activerecord-3.2 (= ${source:Version}),
 ruby-mail (>= 2.4.4~)
Breaks: ruby-actionmailer-2.3
Replaces: ruby-actionmailer-2.3
Description: email composition, delivery, and receiving framework (part of Rails)
 Action Mailer is a framework for working with email on Rails.
 Compose, deliver, receive, and test emails using the familiar
 controller/view pattern.  First-class support for multipart email
 and attachments.

Package: ruby-railties-3.2
Architecture: all
X-DhRuby-Root: railties/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 rake (>= 0.8.7),
 ruby-thor (>= 0.14.6),
 ruby-rack-ssl (>= 1.3.2),
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-actionpack-3.2 (= ${source:Version}),
 ruby-actionmailer-3.2 (= ${source:Version}),
 ruby-activemodel-3.2 (= ${source:Version}),
 ruby-activeresource-3.2 (= ${source:Version})
Breaks: ruby-rails-2.3
Replaces: ruby-rails-2.3
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.

Package: ruby-rails-3.2
Architecture: all
X-DhRuby-Root: ./
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ruby-activesupport-3.2 (= ${source:Version}),
 ruby-actionpack-3.2 (= ${source:Version}),
 ruby-activerecord-3.2 (= ${source:Version}),
 ruby-activeresource-3.2 (= ${source:Version}),
 ruby-actionmailer-3.2 (= ${source:Version}),
 ruby-railties-3.2 (= ${source:Version}),
 bundler,
 rubygems-integration,
Recommends: ruby-jquery-rails, ruby-coffee-rails, ruby-sqlite3, ruby-sass-rails, ruby-uglifier
Breaks: ruby-rails-2.3
Replaces: ruby-rails-2.3
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This package provides Rails version 3.2.

Package: rails3
Architecture: all
Depends: ruby-rails-3.2, ${shlibs:Depends}, ${misc:Depends}
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This package is a convenience metapackage that depends on ruby-rails-3.2.
