=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

overrride_dh_auto_build:
	racc -o actionpack/lib/action_dispatch/journey/parser.rb \
		actionpack/lib/action_dispatch/journey/parser.y

override_dh_clean:
	dh_clean -X~ -X.bak

override_dh_auto_install:
	dh_auto_install
	$(RM) debian/ruby-activesupport-3.2/usr/bin/generate_tables
	rmdir debian/ruby-activesupport-3.2/usr/bin || true
