=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://github.com/rails/rails/releases .*/v(3.*).tar.gz
